Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035718
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajorN/A2017-04-06 17:242017-06-07 11:04
ReporterairaceburuView Statuspublic 
Assigned Toairaceburu 
PriorityurgentResolutionfixedFixed in Version3.0PR17Q3
StatusclosedFix in branchFixed in SCM revisiona675dfbfb8d4
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035718: API Break on Purchase Order Report Modifications project (try-api 4815)

DescriptionAPI Break due to the disabling of "Purchase Order Report" "Report and Process" due to a refactor moving it to a "Process Definition"

There risk on this change is very low, is not very common to customize a report. Is more frequent to create a new jrxml.

Although is very unlikely to be affected by this change, an affected developer could either extract the ad_process with its changes to a custom module, or build his changes in top of the new technology.
Steps To ReproduceLook at:

https://ci.openbravo.com/job/try-api/4908/consoleText [^]

org.openbravo.erpCommon.reference: 99.43% good, 0.56% missing
TagsApproved
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0033035 closedairaceburu New filters in Purchase Order Report 
related to defect 0036171 closedvmromanos API Break on Purchase Order Report Modifications project 
blocks defect 0036170 closedmarkmm82 Improvements in GrantAccessToProcessDefinition module script to fix CI inestability 

-  Notes
(0096796)
airaceburu (developer)
2017-05-25 13:03

After discussion we have decided to not delete the process and disable it instead. The API change will stay anyway
(0096797)
airaceburu (developer)
2017-05-25 13:15

Updated description according to previous note
(0097060)
hgbot (developer)
2017-05-31 17:02

Repository: erp/devel/api-checks
Changeset: a675dfbfb8d491dcaa5b5422b05e0909e7b4f90b
Author: Ander Iraceburu <ander.iraceburu <at> openbravo.com>
Date: Thu May 25 13:53:02 2017 +0200
URL: http://code.openbravo.com/erp/devel/api-checks/rev/a675dfbfb8d491dcaa5b5422b05e0909e7b4f90b [^]

Fixes issue 35718: Moved Purchase Order Report to a Process Definition

---
M model/src-db/database/sourcedata/AD_MENU.xml
M model/src-db/database/sourcedata/AD_PROCESS.xml
---
(0097184)
hgbot (developer)
2017-06-07 10:09

Repository: erp/devel/api-checks
Changeset: 81d260d3d59c2eaf7b5b6661d5b58fd4b1596676
Author: Ander Iraceburu <ander.iraceburu <at> openbravo.com>
Date: Wed Jun 07 10:09:00 2017 +0200
URL: http://code.openbravo.com/erp/devel/api-checks/rev/81d260d3d59c2eaf7b5b6661d5b58fd4b1596676 [^]

Related to issue 35718: Removed old ad_process method from java.japi

---
M java/reference/java.japi.gz
---

- Issue History
Date Modified Username Field Change
2017-04-06 17:24 airaceburu New Issue
2017-04-06 17:24 airaceburu Assigned To => dmitry_mezentsev
2017-04-06 17:24 airaceburu Modules => Core
2017-04-06 17:24 airaceburu Triggers an Emergency Pack => No
2017-04-06 17:26 airaceburu Relationship added related to 0033035
2017-04-20 12:55 dmitry_mezentsev Tag Attached: Approved
2017-04-20 12:55 dmitry_mezentsev Assigned To dmitry_mezentsev => airaceburu
2017-05-25 13:03 airaceburu Note Added: 0096796
2017-05-25 13:15 airaceburu Note Added: 0096797
2017-05-25 13:15 airaceburu Description Updated View Revisions
2017-05-25 13:15 airaceburu Steps to Reproduce Updated View Revisions
2017-05-31 17:02 hgbot Checkin
2017-05-31 17:02 hgbot Note Added: 0097060
2017-05-31 17:02 hgbot Status new => resolved
2017-05-31 17:02 hgbot Resolution open => fixed
2017-05-31 17:02 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/api-checks/rev/a675dfbfb8d491dcaa5b5422b05e0909e7b4f90b [^]
2017-06-02 12:55 vmromanos Relationship added blocks 0036170
2017-06-02 13:09 vmromanos Issue cloned 0036171
2017-06-02 13:09 vmromanos Relationship added related to 0036171
2017-06-07 10:09 hgbot Checkin
2017-06-07 10:09 hgbot Note Added: 0097184
2017-06-07 11:04 vmromanos Review Assigned To => vmromanos
2017-06-07 11:04 vmromanos Status resolved => closed
2017-06-07 11:04 vmromanos Fixed in Version => 3.0PR17Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker